Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class UnitAdjustmentDescriptionImpl

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AdjustmentDescriptionImpl
          com.bea.commerce.ebusiness.price.quote.UnitAdjustmentDescriptionImpl

All Implemented Interfaces
  AdjustmentDescription, UnitAdjustmentDescription, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class UnitAdjustmentDescriptionImpl

extends AdjustmentDescriptionImpl
implements UnitAdjustmentDescription

See Also
  Serialized Form

Constructor Summary
`UnitAdjustmentDescriptionImpl(AdjustmentType type, String currency, Money initialPrice, Money endPrice, Money adjustmentAmount, String computation, String reason, String id, double quantity, Money initialUnitPrice, Money endUnitPrice, Money unitAdjustmentAmount)` Deprecated See BEA Commerce product offering

Method Summary
`Money` | `endUnitPrice()` Deprecated See BEA Commerce product offering
`Money` | `initialUnitPrice()` Deprecated See BEA Commerce product offering
`double` | `quantity()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(Iterator it, int size)` Deprecated See BEA Commerce product offering
`Money` | `unitAdjustmentAmount()` Deprecated See BEA Commerce product offering

Methods inherited from class com.bea.commerce.ebusiness.price.quote.AdjustmentDescriptionImpl
`adjustmentAmount, computation, endPrice, getCurrency, id, initialPrice, reason, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.commerce.ebusiness.price.quote.AdjustmentDescription
`adjustmentAmount, computation, endPrice, getCurrency, id, initialPrice, reason, type`

Constructor Detail

### UnitAdjustmentDescriptionImpl

    public UnitAdjustmentDescriptionImpl(AdjustmentType type,
                                         String currency,
                                         Money initialPrice,
                                         Money endPrice,
                                         Money adjustmentAmount,
                                         String computation,
                                         String reason,
                                         String id,
                                         double quantity,
                                         Money initialUnitPrice,
                                         Money endUnitPrice,
                                         Money unitAdjustmentAmount)

  Deprecated See BEA Commerce product offering

Method Detail

### quantity

    public double quantity()

  Deprecated See BEA Commerce product offering

  Specified by:
    `quantity` in interface `UnitAdjustmentDescription`

### initialUnitPrice

    public Money initialUnitPrice()

  Deprecated See BEA Commerce product offering

  Specified by:
    `initialUnitPrice` in interface `UnitAdjustmentDescription`

### endUnitPrice

    public Money endUnitPrice()

  Deprecated See BEA Commerce product offering

  Specified by:
    `endUnitPrice` in interface `UnitAdjustmentDescription`

### unitAdjustmentAmount

    public Money unitAdjustmentAmount()

  Deprecated See BEA Commerce product offering

  Specified by:
    `unitAdjustmentAmount` in interface `UnitAdjustmentDescription`

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `AdjustmentDescriptionImpl`

### toString

    public static String toString(Iterator it,
                                  int size)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved